> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscriptions by Customer

> Retrieve subscriptions for a connected account filtered by customer.



## OpenAPI

````yaml get /stripe/connect/accounts/{accountId}/subscriptions/by-customer
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /stripe/connect/accounts/{accountId}/subscriptions/by-customer:
    get:
      tags:
        - Stripe Connect
      summary: List Subscriptions by Customer
      description: Retrieve subscriptions for a connected account filtered by customer.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          description: The Stripe connected account ID
          schema:
            type: string
        - name: customerId
          in: query
          required: false
          description: >-
            Filter by Stripe customer ID. Either customerId or email is
            required.
          schema:
            type: string
        - name: email
          in: query
          required: false
          description: Filter by customer email. Either email or customerId is required.
          schema:
            type: string
            format: email
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  subscriptions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: sub_1ABC123DEF456GHI
                        type:
                          type: string
                          example: subscription
                        status:
                          type: string
                          example: active
                        cancelAtPeriodEndDisplay:
                          type: string
                          nullable: true
                          example: null
                        customer:
                          type: object
                          example:
                            id: cus_ABC123XYZ
                            email: customer@example.com
                        current_period_start:
                          type: integer
                          nullable: true
                          example: 1700000000
                        current_period_end:
                          type: integer
                          nullable: true
                          example: 1702600000
                        created:
                          type: integer
                          example: 1700000000
                        collection_method:
                          type: string
                          example: charge_automatically
                        cancel_at_period_end:
                          type: boolean
                          example: false
                        canceled_at:
                          type: integer
                          nullable: true
                          example: null
                        product:
                          type: object
                          properties:
                            id:
                              type: string
                              example: prod_ABC123XYZ
                            name:
                              type: string
                              example: Pro Plan
                        automatic_tax:
                          type: boolean
                          example: false
                        coupon:
                          type: string
                          example: ''
                        agents:
                          type: string
                          example: Agent 1, Agent 2
                  has_more:
                    type: boolean
                    example: false
                  next_cursor:
                    type: string
                    nullable: true
                    example: null
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````